關於 NecroBot 之類寶可夢脫機外掛機器人出現錯誤訊息無法執行的原因

/ 分類: , / 0 則回應

標籤: , ,

上回 Niantic 更新 API 至 0.37 以及後來的 0.39,使用者能然可以透過 bypass killswitch 的保護機制持續使用 API 0.35 的外掛工具來持續掛機,只是 Nitantic 終於在 9/26 使出了殺手鐧,也就是必須強制手機軟體更新至 0.39.1,也無法安裝舊版 APK 來繼續使用 Xposed 的輔助模組,因為新版的 API 套用了 Google SafetyNet API 作為保護機制,不允許設備執行執行寶可夢的同時也擁有 Root 權限。

所以強烈建議暫時停止任何使用外掛的行為(基本上坊間的外掛都是使用 0.35 API),此行為正好提供了 Niantic 最好的機會來觀察使用者是否使用掛機程式,一些人號稱某些版本仍然可以運行,此乃兵家大忌,風頭上還是低調一點的安全,別讓自己成為靶標,靜待新版 API 破解,多帶著 Buddy 出去走走比較務實些。

目前絕大部分的外掛開發團隊皆未直接參與 API 破解,多是使用 POGOProtos 逆向過後的結果,光是 SafetyNet API 禁用 root 權限這一點,提高了破解的難度,截至目前為止,暫時亦未有突破性的進展,短時間內暫時也只能靜待,或許就此 GG 也是未定之數。

如果想要在 root 的手機上執行 0.39.1 新版寶可夢,仍然可以透過安裝 Magisk 的方式來達成,但是執行遊戲的同時,也無法使用像是 Xposed 的任何外掛模組,簡單來說,就是魚與熊掌不可兼得的狀況,只是提供想要保留 root 權限在其他部分運用的解套方式,Magisk 對於手機支援仍然有些限制,簡易的安裝流程可以參考 : [教學] Magisk Systemless Interface 簡易安裝流程 (含 Root、Xposed)

發表迴響